> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Codex auth status



## OpenAPI

````yaml api-reference/openapi.account.json GET /codex/auth
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /codex/auth:
    get:
      tags:
        - codex-auth
      summary: Get Codex auth status
      operationId: getCodexAuth
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  auth:
                    anyOf:
                      - $ref: '#/components/schemas/CodexAuthStatus'
                      - type: 'null'
                  needs_reauth:
                    type: boolean
                  reauth_reason:
                    type: string
                required:
                  - auth
                  - needs_reauth
                type: object
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    CodexAuthStatus:
      discriminator:
        mapping:
          apiKey:
            $ref: '#/components/schemas/CodexAPIKeyAuthStatus'
          subscription:
            $ref: '#/components/schemas/CodexSubscriptionAuthStatus'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/CodexSubscriptionAuthStatus'
        - $ref: '#/components/schemas/CodexAPIKeyAuthStatus'
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    CodexAPIKeyAuthStatus:
      additionalProperties: false
      properties:
        type:
          enum:
            - apiKey
          type: string
      required:
        - type
      type: object
    CodexSubscriptionAuthStatus:
      additionalProperties: false
      properties:
        account_id:
          minLength: 1
          type: string
        email:
          minLength: 1
          type: string
        plan_type:
          enum:
            - free
            - go
            - plus
            - pro
            - team
            - business
            - enterprise
            - edu
            - unknown
          type: string
        type:
          enum:
            - subscription
          type: string
      required:
        - type
        - account_id
        - plan_type
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````